Package org.springframework.security.config.web.server

# Class ServerHttpSecurity.X509Spec

java.lang.Object
org.springframework.security.config.web.server.ServerHttpSecurity.X509Spec

Enclosing class:
  ServerHttpSecurity

public final class ServerHttpSecurity.X509Spec extends Object
Configures X509 authentication

Since:
  5.2
See Also:
  - `ServerHttpSecurity.x509()`

## Method Summary

Modifier and Type
Method
Description
`ServerHttpSecurity`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`ServerHttpSecurity.X509Spec`
`authenticationManager(org.springframework.security.authentication.ReactiveAuthenticationManager authenticationManager)`
`protected void`
`configure(ServerHttpSecurity http)`
`ServerHttpSecurity.X509Spec`
`principalExtractor(org.springframework.security.web.authentication.preauth.x509.X509PrincipalExtractor principalExtractor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### principalExtractor

public ServerHttpSecurity.X509Spec principalExtractor(org.springframework.security.web.authentication.preauth.x509.X509PrincipalExtractor principalExtractor)

### authenticationManager

public ServerHttpSecurity.X509Spec authenticationManager(org.springframework.security.authentication.ReactiveAuthenticationManager authenticationManager)

### and

@Deprecated(since="6.1", forRemoval=true) public ServerHttpSecurity and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `ServerHttpSecurity.x509(Customizer)` or `x509(Customizer.withDefaults())` to stick with defaults. See the documentation for more details.

### configure

protected void configure(ServerHttpSecurity http)